package com.ym.mec.biz.dal.dto;

public class ExportTeacherSalaryDto{

    //课时编号
    private Integer courseScheduleId;

    //老师编号
    private  Integer teacherId;

    //老师姓名
    private String teacherName;

    //老师分部
    private String teacherOrganName;

    //工作类别
    private String jobType;

    //课程分部
    private String courseScheduleOrganName;

    //课程班名称（乐团名或者小课名）
    private String groupName;

    //课程班编号
    private String groupId;

    //乐团模式
    private String changeType;

    //阶梯活动名称
    private String activeName;

    //vip活动名称
    private String vipActiveName;
    
    private String vipCategoryName;

    //线上课/线下课
    private String teachMode;

    //课酬
    private String price;

    //课酬类型
    private String courseScheduleType;

    //单课时时长
    private int signCourseScheduleTime;

    //实际上课时间
    private int currentTime;

    //上课日期
    private String classDate;

    //课程开始时间
    private String courseScheduleStartTime;

    //课程结算时间
    private String courseScheduleEndTime;

    //签退状态
    private String signOutStatus;

    //签到状态
    private String signInStatus;

    //签到时间
    private String signInTime;

    //签退时间
    private String signOutTime;

    //签到时间
    private String studentSignInTime;

    //签退时间
    private String studentSignOutTime;

    //申述处理状态
    private String complaintsStatus;

    //申述处理结果
    private String disposeContent;

    //扣款原因
    private String deductionReason;

    //主辅	上课地点	应到学员
    private String teacherRole;

    //上课地点
    private String address;

    //奖励金额
    private Double rewards;

    //线下课单价
    private double offlineClassesUnitPrice;

    //线上课单价
    private double onlineClassesUnitPrice;

    //应到学员
    private int studentNum;

    //实际上课学员
    private int realStudentNum;

    public String getDeductionReason() {
        return deductionReason;
    }

    public void setDeductionReason(String deductionReason) {
        this.deductionReason = deductionReason;
    }

    public String getComplaintsStatus() {
        return complaintsStatus;
    }

    public void setComplaintsStatus(String complaintsStatus) {
        this.complaintsStatus = complaintsStatus;
    }

    public String getDisposeContent() {
        return disposeContent;
    }

    public void setDisposeContent(String disposeContent) {
        this.disposeContent = disposeContent;
    }

    public int getRealStudentNum() {
        return realStudentNum;
    }

    public void setRealStudentNum(int realStudentNum) {
        this.realStudentNum = realStudentNum;
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }

    public String getStudentSignInTime() {
        return studentSignInTime;
    }

    public void setStudentSignInTime(String studentSignInTime) {
        this.studentSignInTime = studentSignInTime;
    }

    public String getStudentSignOutTime() {
        return studentSignOutTime;
    }

    public void setStudentSignOutTime(String studentSignOutTime) {
        this.studentSignOutTime = studentSignOutTime;
    }

    public String getVipActiveName() {
        return vipActiveName;
    }

    public void setVipActiveName(String vipActiveName) {
        this.vipActiveName = vipActiveName;
    }

    public String getVipCategoryName() {
		return vipCategoryName;
	}

	public void setVipCategoryName(String vipCategoryName) {
		this.vipCategoryName = vipCategoryName;
	}

	public double getOfflineClassesUnitPrice() {
        return offlineClassesUnitPrice;
    }

    public void setOfflineClassesUnitPrice(double offlineClassesUnitPrice) {
        this.offlineClassesUnitPrice = offlineClassesUnitPrice;
    }

    public double getOnlineClassesUnitPrice() {
        return onlineClassesUnitPrice;
    }

    public void setOnlineClassesUnitPrice(double onlineClassesUnitPrice) {
        this.onlineClassesUnitPrice = onlineClassesUnitPrice;
    }

    public Double getRewards() {
        return rewards;
    }

    public void setRewards(Double rewards) {
        this.rewards = rewards;
    }

    public int getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(int currentTime) {
        this.currentTime = currentTime;
    }

    public String getCourseScheduleEndTime() {
        return courseScheduleEndTime;
    }

    public void setCourseScheduleEndTime(String courseScheduleEndTime) {
        this.courseScheduleEndTime = courseScheduleEndTime;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherOrganName() {
        return teacherOrganName;
    }

    public void setTeacherOrganName(String teacherOrganName) {
        this.teacherOrganName = teacherOrganName;
    }

    public String getJobType() {
        return jobType;
    }

    public void setJobType(String jobType) {
        this.jobType = jobType;
    }

    public String getCourseScheduleOrganName() {
        return courseScheduleOrganName;
    }

    public void setCourseScheduleOrganName(String courseScheduleOrganName) {
        this.courseScheduleOrganName = courseScheduleOrganName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getChangeType() {
        return changeType;
    }

    public void setChangeType(String changeType) {
        this.changeType = changeType;
    }

    public String getActiveName() {
        return activeName;
    }

    public void setActiveName(String activeName) {
        this.activeName = activeName;
    }

    public String getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(String teachMode) {
        this.teachMode = teachMode;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public int getSignCourseScheduleTime() {
        return signCourseScheduleTime;
    }

    public void setSignCourseScheduleTime(int signCourseScheduleTime) {
        this.signCourseScheduleTime = signCourseScheduleTime;
    }

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public String getCourseScheduleStartTime() {
        return courseScheduleStartTime;
    }

    public void setCourseScheduleStartTime(String courseScheduleStartTime) {
        this.courseScheduleStartTime = courseScheduleStartTime;
    }

    public String getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(String signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(String signInStatus) {
        this.signInStatus = signInStatus;
    }

    public String getSignInTime() {
        return signInTime;
    }

    public void setSignInTime(String signInTime) {
        this.signInTime = signInTime;
    }

    public String getSignOutTime() {
        return signOutTime;
    }

    public void setSignOutTime(String signOutTime) {
        this.signOutTime = signOutTime;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public int getStudentNum() {
        return studentNum;
    }

    public void setStudentNum(int studentNum) {
        this.studentNum = studentNum;
    }
}
